apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2025-08-25T13:55:03Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 1
  labels:
    migration: 4b7ec4fd-1165-497e-891f-6352b919ad85
    plan: 20192b23-241f-4011-b721-cc65717044cc
    vmID: ff82ed36-fba7-413c-b97e-f7b632a0e53a
  name: mtvtest-fedora
  namespace: infra-vms
  resourceVersion: "346406040"
  uid: ab342e25-9ea9-4c9f-ace4-4984f7811f31
spec:
  runStrategy: Always
  template:
    metadata:
      annotations:
        vm.kubevirt.io/os: linux
      creationTimestamp: null
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      architecture: amd64
      domain:
        cpu:
          cores: 1
          sockets: 1
          threads: 1
        devices:
          autoattachPodInterface: false
          interfaces:
          - macAddress: 02:90:7d:00:00:02
            masquerade: {}
            model: virtio
            name: default
          rng: {}
        features:
          acpi: {}
          smm: {}
        firmware:
          bootloader:
            efi:
              secureBoot: true
        machine:
          type: pc-q35-rhel9.6.0
        memory:
          guest: 4Gi
        resources: {}
      networks:
      - name: default
        pod: {}
      subdomain: headless
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-08-25T13:55:04Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  created: true
  desiredGeneration: 1
  observedGeneration: 1
  printableStatus: Running
  ready: true
  runStrategy: Always
